List the company knowledge base items
curl --request GET \
--url https://api.getprimo.com/knowledge-base-items \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getprimo.com/knowledge-base-items"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getprimo.com/knowledge-base-items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"draft": {
"name": "<string>",
"description": "<string>",
"content": "<string>"
},
"published": {
"name": "<string>",
"description": "<string>",
"content": "<string>"
}
}
]
}KnowledgeBaseItems
List the company knowledge base items
List every knowledge base item (e.g. Skills — reusable instruction packages) owned by the company, with their draft, published text and publication status. Call this to find an item’s id before reading, editing or publishing it. Does not include the Equipment or Purchasing policy — use their dedicated endpoints instead.
GET
/
knowledge-base-items
List the company knowledge base items
Was this page helpful?
⌘I